# collada.scene.ScaleTransform

class collada.scene.ScaleTransform(x, y, z, xmlnode=None)

  Contains a scale transformation as defined in the collada <scale> tag.

  __init__(x, y, z, xmlnode=None)

    Creates a scale transformation

    Parameters

      - x (float) – x coordinate

      - y (float) – y coordinate

      - z (float) – z coordinate

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(x, y, z[, xmlnode]) | Creates a scale transformation
  `load`(collada, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `xmlnode` | ElementTree representation of the transform.
  `x` | x coordinate
  `y` | y coordinate
  `z` | z coordinate
  `matrix` | The resulting transformation matrix.